---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: phpmyadmin
  namespace: nextcloud
spec:
  replicas: 1
  selector:
    matchLabels:
      app: phpmyadmin
  template:
    metadata:
      labels:
        app: phpmyadmin
    spec:
      containers:
        - name: phpmyadmin
          image: phpmyadmin:5.2.1
          ports:
            - containerPort: 80
          env:
            - name: PMA_USER
              valueFrom:
                secretKeyRef:
                  name: nextcloud-db-secret
                  key: MYSQL_USER
            - name: PMA_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: nextcloud-db-secret
                  key: MYSQL_PASSWORD
            - name: PMA_HOST
              value: nextcloud-db
            - name: PMA_PORT
              value: "3306"
          resources:
            limits:
              cpu: 500m
              memory: 512Mi
            requests:
              cpu: 100m
              memory: 100Mi
---
apiVersion: v1
kind: Service
metadata:
  name: phpmyadmin
  namespace: nextcloud
spec:
  selector:
    app: phpmyadmin
  ports:
    - port: 80
      targetPort: 80
      nodePort: 30000
  type: NodePort
